package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 系数与定检台数统计对象 gxt_coefficient_score
 * 
 * @author ruoyi
 * @date 2025-11-04
 */
public class GxtCoefficientScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 分项完成系数 */
    @Excel(name = "分项完成系数")
    private BigDecimal subitemCoefficient;

    /** 分项系数和 */
    @Excel(name = "分项系数和")
    private BigDecimal subitemCoefficientSum;

    /** 计划定检台数 */
    @Excel(name = "计划定检台数")
    private Integer plannedCount;

    /** 实际定检台数 */
    @Excel(name = "实际定检台数")
    private Integer actualCount;

    /** 全组扣分 */
    @Excel(name = "全组扣分")
    private BigDecimal groupDeduction;

    @Excel(name = "说明")
    private String explainCode;

    /** 统计月份 */
    @Excel(name = "统计月份")
    private String monthPeriod;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 场站名称 */
    @Excel(name = "场站名称")
    private String detpName;

    /** 维修工单系数 */
    @Excel(name = "维修工单系数")
    private BigDecimal repairOrderCoefficient;

    /** 维保工单系数 */
    @Excel(name = "维保工单系数")
    private BigDecimal workOrderCoefficient;

    /** 场站ID */
    @Excel(name = "场站ID")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSubitemCoefficient(BigDecimal subitemCoefficient) 
    {
        this.subitemCoefficient = subitemCoefficient;
    }

    public BigDecimal getSubitemCoefficient() 
    {
        return subitemCoefficient;
    }
    public void setSubitemCoefficientSum(BigDecimal subitemCoefficientSum) 
    {
        this.subitemCoefficientSum = subitemCoefficientSum;
    }

    public BigDecimal getSubitemCoefficientSum() 
    {
        return subitemCoefficientSum;
    }
    public void setPlannedCount(Integer plannedCount) 
    {
        this.plannedCount = plannedCount;
    }

    public Integer getPlannedCount() 
    {
        return plannedCount;
    }
    public void setActualCount(Integer actualCount) 
    {
        this.actualCount = actualCount;
    }

    public Integer getActualCount() 
    {
        return actualCount;
    }
    public void setGroupDeduction(BigDecimal groupDeduction) 
    {
        this.groupDeduction = groupDeduction;
    }

    public BigDecimal getGroupDeduction() 
    {
        return groupDeduction;
    }

    public String getExplainCode() {
        return explainCode;
    }

    public void setExplainCode(String explainCode) {
        this.explainCode = explainCode;
    }

    public void setMonthPeriod(String monthPeriod)
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setDetpName(String detpName) 
    {
        this.detpName = detpName;
    }

    public String getDetpName() 
    {
        return detpName;
    }
    public void setRepairOrderCoefficient(BigDecimal repairOrderCoefficient) 
    {
        this.repairOrderCoefficient = repairOrderCoefficient;
    }

    public BigDecimal getRepairOrderCoefficient() 
    {
        return repairOrderCoefficient;
    }
    public void setWorkOrderCoefficient(BigDecimal workOrderCoefficient) 
    {
        this.workOrderCoefficient = workOrderCoefficient;
    }

    public BigDecimal getWorkOrderCoefficient() 
    {
        return workOrderCoefficient;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subitemCoefficient", getSubitemCoefficient())
            .append("subitemCoefficientSum", getSubitemCoefficientSum())
            .append("plannedCount", getPlannedCount())
            .append("actualCount", getActualCount())
            .append("groupDeduction", getGroupDeduction())
            .append("monthPeriod", getMonthPeriod())
            .append("status", getStatus())
            .append("detpName", getDetpName())
            .append("repairOrderCoefficient", getRepairOrderCoefficient())
            .append("workOrderCoefficient", getWorkOrderCoefficient())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}